### Function

# AppStream ContentRating get_all_rating_ids

since: 0.12.10

#### Declaration [src]

    const gchar**
    as_content_rating_get_all_rating_ids (
      void
    )

#### Description [src]

Returns a list of all the valid OARS content rating attribute IDs as could be passed to `as_content_rating_add_attribute()` or as_content_rating_attribute_to_csm_age().

Available since: 0.12.10

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of IDs, to be freed with `g_free()` (the element values are owned by libappstream and must not be freed).

The array is `NULL`-terminated.
The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.